import { EventEmitter, OnChanges, SimpleChanges } from "@angular/core";
import { Dayjs } from "dayjs";
import { DateChanged, Timepicker, YearMonthChanged } from "../types";
export declare class CalendarComponent implements OnChanges {
    month: number;
    year: number;
    selectedFromDate: Dayjs;
    selectedToDate: Dayjs;
    isLeft: boolean;
    format: string;
    minDate: Dayjs;
    maxDate: Dayjs;
    inactiveBeforeStart: boolean;
    disableBeforeStart: boolean;
    timePicker: Timepicker;
    singleCalendar: boolean;
    weekStartsOn: number;
    dateChanged: EventEmitter<DateChanged>;
    monthChanged: EventEmitter<YearMonthChanged>;
    yearChanged: EventEmitter<YearMonthChanged>;
    weekList: Dayjs[][];
    weekDays: string[];
    readonly monthText: string;
    ngOnChanges(changes: SimpleChanges): void;
    createCalendarGridData(): void;
    setWeekDays(): void;
    isDisabled(day: Dayjs): boolean;
    isDateAvailable(day: Dayjs): boolean;
    isSelectedDate(day: any): boolean;
    getFormattedDate(day: any): any;
    dateSelected(day: any): void;
    monthSelected(value: any): void;
    yearSelected(value: any): void;
}
