import { Dayjs } from "dayjs";
declare type Theme = "dark" | "light";
declare type Position = "left" | "right" | "center";
declare class DateRange {
    start: Dayjs;
    end: Dayjs;
}
export declare class DateChanged {
    day: Dayjs;
    isLeft: boolean;
}
export declare class YearMonthChanged {
    value: number;
    isLeft: boolean;
}
export declare class DefinedDateRange {
    name: string;
    value: DateRange;
}
export declare class Timepicker {
    minuteInterval: number;
    twentyFourHourFormat: boolean;
}
export declare class YearsGrid {
    startYear: number;
    numberOfYearsInOneView: number;
    yearsPerRow: number;
    yearsList: number[][];
    currentYear: number;
}
export declare class Options {
    startDate?: Dayjs;
    endDate?: Dayjs;
    minDate?: Dayjs;
    maxDate?: Dayjs;
    format?: string;
    displayFormat?: string;
    inactiveBeforeStart?: boolean;
    autoApply?: boolean;
    singleCalendar?: boolean;
    preDefinedRanges?: DefinedDateRange[];
    noDefaultRangeSelected?: boolean;
    showRanges?: boolean;
    position?: Position;
    disabled?: boolean;
    timePicker?: Timepicker;
    disableBeforeStart?: boolean;
    alwaysOpen?: boolean;
    theme?: Theme;
    required?: boolean;
    DOB?: boolean;
    weekStartsOn: number;
}
export {};
